Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  region2pl

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   region2pl (1163 mal gelesen)
petrov9
Mitglied
Architekt


Sehen Sie sich das Profil von petrov9 an!   Senden Sie eine Private Message an petrov9  Schreiben Sie einen Gästebucheintrag für petrov9

Beiträge: 106
Registriert: 06.10.2004

ADT2006
ADT2007

erstellt am: 20. Jun. 2007 11:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hallo!
ich verwende untenstehendes lisp um eine region in eine geschlossene polylinie umzuwandeln.
wenn aber die region aus zwei voneinander getrennten bereichen besteht, (beispielsweise durch eine vorhergehende subtraktion), scheitert die routine.
wie koennte ich die funktion erweitern, dass dieser fall auch bewaeltigt wird?
gruss aus wien
peter

(defun c:reg2pl ( / reg last_obj aws_temp)
  (setq reg (car(entsel "\nRegion auswählen:"))
        last_obj (ENTLAST) ; reg
aws_temp (ssadd))
  (command "_.explode" reg)
(setq oldpeditaccept (getvar "peditaccept"))
(setvar "peditaccept" 0)
  (while (setq last_obj(entnext last_obj))
    (ssadd last_obj aws_temp))
  (command "_.pedit" (ssname aws_temp 0) "_Y" "_J" aws_temp "" ""))
(setvar "peditaccept" oldpeditaccept)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wronzky
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleistungen für Architekten



Sehen Sie sich das Profil von wronzky an!   Senden Sie eine Private Message an wronzky  Schreiben Sie einen Gästebucheintrag für wronzky

Beiträge: 2154
Registriert: 02.05.2005

CAD:
AutoCAD 2.6 bis 2014
ADT 2005 - 2014
Arcibem
System:
Windows 2000, XP, NO VISTA
Internet-Startseite:
http://www.archi.de

erstellt am: 20. Jun. 2007 12:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für petrov9 10 Unities + Antwort hilfreich

Hallo,
tausch mal die Zeile
Code:
(command "_.pedit" (ssname aws_temp 0) "_Y" "_J" aws_temp "" ""))
aus durch
Code:
(command "_.pedit" "_M" aws_temp "" "_Y" "_J" "" ""))

Grüsse, Henning

PS: geht erst ab 2005!

------------------
VoxelManufaktur Computer-Dienstleistungen für Architekten und Ingenieure

      http://www.voxelman.de

[Diese Nachricht wurde von wronzky am 20. Jun. 2007 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

petrov9
Mitglied
Architekt


Sehen Sie sich das Profil von petrov9 an!   Senden Sie eine Private Message an petrov9  Schreiben Sie einen Gästebucheintrag für petrov9

Beiträge: 106
Registriert: 06.10.2004

ADT2006
ADT2007

erstellt am: 20. Jun. 2007 12:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

danke fuer die antwort, aber das funktioniert nicht.
allerdings habe ich mich wohl unklar ausgedrueckt.
wenn bei einer subtraktion zweier regionen/solids das abzuziehende jenes von dem abgezogen wird ganz durchschneidet, ist das ergebnis wieder eine region/solid aber halt mit zwei bereichen die nicht zusammenhaengen aber doch ein objekt bilden.
und genau hier liegt das problem, das einmalige explodieren ergibt zwei regionen und an denen scheitert 'pedit'.
es muessten also die beiden letzten objekte nochmal ausgewaehlt und explodiert werden und dann zweimal der 'pedit' befehl ausgefuehrt werden.
und wie ich das hinkriege weiss ich nicht.
peter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4032
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 20. Jun. 2007 20:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für petrov9 10 Unities + Antwort hilfreich

... richtig: Wenn eine Region explodiert wird, dann entstehen entweder Linien oder wiederum Regionen - aber nicht Linien und Regionen.
Wenn du nach dem Explode einen Auswahlsatz VORHER bildest, dann hast du die Elemente, welche beim Explode entstanden sind. Diese prüfst du auf den Elementty und entscheidest dann, ob du mit pedit oder wiederum mit einem Explode weiter machen musst.

Alles klar?

Bei Fragen ...

Grüße Holger

------------------
Holger Brischke
CAD on demand GmbH
Individuelle Lösungen von Heute auf Morgen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wronzky
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleistungen für Architekten



Sehen Sie sich das Profil von wronzky an!   Senden Sie eine Private Message an wronzky  Schreiben Sie einen Gästebucheintrag für wronzky

Beiträge: 2154
Registriert: 02.05.2005

CAD:
AutoCAD 2.6 bis 2014
ADT 2005 - 2014
Arcibem
System:
Windows 2000, XP, NO VISTA
Internet-Startseite:
http://www.archi.de

erstellt am: 21. Jun. 2007 09:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für petrov9 10 Unities + Antwort hilfreich

Hi Peter,
hab' mal in der "Routinekiste" gekramt und das hier gefunden: deep-explode
damit wird alles (zur Not Mehrfach) zerlegt, bis nur noch Grundbausteine vorhanden sind:
Code:
(defun deep-explode (aws / n-aws)
  (setq n-aws (ssadd))
  (while (setq aws (m-explode aws)) (setq n-aws (ssmerge n-aws aws)))
  n-aws
)

(defun m-explode (aws / z l n-aws ele)
  (setq z -1 l (entlast) n-aws (ssadd))
  (repeat (sslength aws)
    (setq ele (ssname aws (setq z (1+ z))))
    (if (member (cdr (assoc 0 (entget ele))) '("HATCH" "REGION" "POLYLINE" "LWPOLYLINE" "3DSOLID" "BODDY" "INSERT" "MTEXT" "MLINE" "TABLE" "DIMENSION"))
      (command "_.explode" ele)
    )
  )
  (while (setq l (entnext l)) (ssadd l n-aws))
)

(defun ssmerge (aws1 aws2 / n-aws z)
  (setq n-aws (ssadd) z -1)
  (if aws1 (repeat (sslength aws1) (ssadd (ssname aws1 (setq z (1+ z))) n-aws)))
  (setq z -1)
  (if aws2 (repeat (sslength aws2) (ssadd (ssname aws2 (setq z (1+ z))) n-aws)))
  n-aws
)



Das sollte zur Lösung reichen. Rückgabe der Funktion sind übrigens die zerlegten Elemente.

Grüsse, Henning

------------------
VoxelManufaktur Computer-Dienstleistungen für Architekten und Ingenieure

  http://www.voxelman.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

petrov9
Mitglied
Architekt


Sehen Sie sich das Profil von petrov9 an!   Senden Sie eine Private Message an petrov9  Schreiben Sie einen Gästebucheintrag für petrov9

Beiträge: 106
Registriert: 06.10.2004

ADT2006
ADT2007

erstellt am: 21. Jun. 2007 12:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

hallo!
@Briscke
ja danke eigentlich alles klar.
nun versuche ich die abfrage zu machen ob es sich beim letzten objekt um eine region handelt:
(IF ((cdr(assoc 0 (entget(entlast)))) = "region"))
und das produziert die meldung 'syntaxfehler'. warum?
@Henning
wenn ich versuche deep-explode auszufuehren erhalte ich die meldung: 'zu wenig argumente'
danke fuer eure antworten!
peter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wronzky
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleistungen für Architekten



Sehen Sie sich das Profil von wronzky an!   Senden Sie eine Private Message an wronzky  Schreiben Sie einen Gästebucheintrag für wronzky

Beiträge: 2154
Registriert: 02.05.2005

CAD:
AutoCAD 2.6 bis 2014
ADT 2005 - 2014
Arcibem
System:
Windows 2000, XP, NO VISTA
Internet-Startseite:
http://www.archi.de

erstellt am: 21. Jun. 2007 12:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für petrov9 10 Unities + Antwort hilfreich

deep-explode ist eine Funktion, die einen Auswahlsatz übergeben bekommt!
Also in etwa so:
Code:
(setq aws (ssget '((0 . "REGION"))))
(setq aws (deep-explode aws))
(setvar "peditaccept" 0)
(command "_.pedit" "_M" aws "" "_Y" "_J" "" "")

Grüsse, Henning

------------------
VoxelManufaktur Computer-Dienstleistungen für Architekten und Ingenieure

  http://www.voxelman.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Brischke
Moderator
CAD on demand GmbH




Sehen Sie sich das Profil von Brischke an!   Senden Sie eine Private Message an Brischke  Schreiben Sie einen Gästebucheintrag für Brischke

Beiträge: 4032
Registriert: 17.05.2001

AutoCAD 20XX, defun-tools (d-tools.eu)

erstellt am: 21. Jun. 2007 12:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für petrov9 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von petrov9:
...(IF ((cdr(assoc 0 (entget(entlast)))) = "region"))
und das produziert die meldung 'syntaxfehler'. warum?
...

... Weil die Syntax wirklich nicht passt.
(FUNC PARA_1 PARA_ ... ) ist die korrekte Syntax.

und (IF ((cdr(assoc 0 (entget(entlast)))) = "region")) entspricht dem nicht:
(IF (= (cdr(assoc 0 (entget(entlast))))
      "REGION")
  (alert "JA - ich bin eine Region.")
  (alert "NEIN - ich bin KEINE Region.")
  )

wäre richtig.

Grüße Holger

------------------
Holger Brischke
CAD on demand GmbH
Individuelle Lösungen von Heute auf Morgen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

petrov9
Mitglied
Architekt


Sehen Sie sich das Profil von petrov9 an!   Senden Sie eine Private Message an petrov9  Schreiben Sie einen Gästebucheintrag für petrov9

Beiträge: 106
Registriert: 06.10.2004

ADT2006
ADT2007

erstellt am: 21. Jun. 2007 13:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

ah, ja!
beides richtig.
danke
sobald ich das ganze zusammengebaut habe, melde ich mich.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

petrov9
Mitglied
Architekt


Sehen Sie sich das Profil von petrov9 an!   Senden Sie eine Private Message an petrov9  Schreiben Sie einen Gästebucheintrag für petrov9

Beiträge: 106
Registriert: 06.10.2004

ADT2006
ADT2007

erstellt am: 22. Jun. 2007 09:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

@Henning

ich krieg's nicht hin.


(defun c:test(/ aws)

(setq aws (ssget '((0 . "REGION"))))
(setq aws (deep-explode aws))
(setvar "peditaccept" 0)
(command "_.pedit" "_M" aws "" "_Y" "_J" "" "")

(defun deep-explode (aws / n-aws)
  (setq n-aws (ssadd))
  (while (setq aws (m-explode aws)) (setq n-aws (ssmerge n-aws aws)))
  n-aws
)
(defun m-explode (aws / z l n-aws ele)
  (setq z -1 l (entlast) n-aws (ssadd))
  (repeat (sslength aws)
    (setq ele (ssname aws (setq z (1+ z))))
    (if (member (cdr (assoc 0 (entget ele))) '("HATCH" "REGION" "POLYLINE" "LWPOLYLINE" "3DSOLID" "BODDY" "INSERT" "MTEXT" "MLINE" "TABLE" "DIMENSION"))
      (command "_.explode" ele)
    )
  )
  (while (setq l (entnext l)) (ssadd l n-aws))
)

(defun ssmerge (aws1 aws2 / n-aws z)
  (setq n-aws (ssadd) z -1)
  (if aws1 (repeat (sslength aws1) (ssadd (ssname aws1 (setq z (1+ z))) n-aws)))
  (setq z -1)
  (if aws2 (repeat (sslength aws2) (ssadd (ssname aws2 (setq z (1+ z))) n-aws)))
  n-aws
)

)

objektwahl funktioniert, aber dann
fehlermeldung: no function definition: DEEP-EXPLODE

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

petrov9
Mitglied
Architekt


Sehen Sie sich das Profil von petrov9 an!   Senden Sie eine Private Message an petrov9  Schreiben Sie einen Gästebucheintrag für petrov9

Beiträge: 106
Registriert: 06.10.2004

ADT2006
ADT2007

erstellt am: 22. Jun. 2007 09:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

bin doch noch draufgekommen!
klammer an falscher stelle.
jetz' funktioniert's!


(defun c:test(/ aws)

(setq aws (ssget '((0 . "REGION"))))
(setq aws (deep-explode aws))
(setvar "peditaccept" 0)
(command "_.pedit" "_M" aws "" "_Y" "_J" "" "")
)

(defun deep-explode (aws / n-aws)
  (setq n-aws (ssadd))
  (while (setq aws (m-explode aws)) (setq n-aws (ssmerge n-aws aws)))
  n-aws
)
(defun m-explode (aws / z l n-aws ele)
  (setq z -1 l (entlast) n-aws (ssadd))
  (repeat (sslength aws)
    (setq ele (ssname aws (setq z (1+ z))))
    (if (member (cdr (assoc 0 (entget ele))) '("HATCH" "REGION" "POLYLINE" "LWPOLYLINE" "3DSOLID" "BODDY" "INSERT" "MTEXT" "MLINE" "TABLE" "DIMENSION"))
      (command "_.explode" ele)
    )
  )
  (while (setq l (entnext l)) (ssadd l n-aws))
)

(defun ssmerge (aws1 aws2 / n-aws z)
  (setq n-aws (ssadd) z -1)
  (if aws1 (repeat (sslength aws1) (ssadd (ssname aws1 (setq z (1+ z))) n-aws)))
  (setq z -1)
  (if aws2 (repeat (sslength aws2) (ssadd (ssname aws2 (setq z (1+ z))) n-aws)))
  n-aws
)

die klammer war falsch, die gehoert oben als abschluss von (defun C:...)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

petrov9
Mitglied
Architekt


Sehen Sie sich das Profil von petrov9 an!   Senden Sie eine Private Message an petrov9  Schreiben Sie einen Gästebucheintrag für petrov9

Beiträge: 106
Registriert: 06.10.2004

ADT2006
ADT2007

erstellt am: 22. Jun. 2007 10:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

so und hier das was ich eigentlich haben wollte.

Code:
;;pls
;;subtrahiert einen satz von geschlossenen polylinien von einem anderen solchen
;;das ergebnis sind wieder gechlossene polylinien
;;auswahl jeweils mit 'enter' abschliessen.


(DEFUN c ls  (/ awspl1 awspl2 len1 len2 n1 n2 elempl1 elempl2 awsreg1 awsreg2 aws)
  (COMMAND "_UNDO" "_Group")
(setq oldpeditaccept (getvar "peditaccept"))
(setvar "peditaccept" 0)
  (SETQ awspl1 (SSGET '((0 . "LWPOLYLINE"))))
  (SETQ len1 (SSLENGTH awspl1))
  (SETQ n1 0)
  (WHILE (< n1 len1)
    (SETQ elempl1 (SSNAME awspl1 n1))
    (SETQ n1 (1+ n1))
    (COMMAND "_.REGION" elempl1 "")
    (SETQ awsreg1 (IF awsreg1
                  (SSADD (ENTLAST) awsreg1)
                  (SSADD (ENTLAST))))
    )


  (SETQ awspl2 (SSGET '((0 . "LWPOLYLINE"))))
  (SETQ len2 (SSLENGTH awspl2))
  (SETQ n2 0)
  (WHILE (< n2 len2)
    (SETQ elempl2 (SSNAME awspl2 n2))
    (SETQ n2 (1+ n2))
    (COMMAND "_.REGION" elempl2 "")
    (SETQ awsreg2 (IF awsreg2
                  (SSADD (ENTLAST) awsreg2)
                  (SSADD (ENTLAST))))
    )


(COMMAND "_.subtract" awsreg1 "" awsreg2 "")


(setq aws (ssget "L"))
(setq aws (deep-explode aws))
(command "_.pedit" "_M" aws "" "_Y" "_J" "" "")

(setvar "peditaccept" oldpeditaccept)
  (COMMAND "_UNDO" "_END")
  (PRINC)

)

(defun deep-explode (aws / n-aws)
  (setq n-aws (ssadd))
  (while (setq aws (m-explode aws)) (setq n-aws (ssmerge n-aws aws)))
  n-aws
)
(defun m-explode (aws / z l n-aws ele)
  (setq z -1 l (entlast) n-aws (ssadd))
  (repeat (sslength aws)
    (setq ele (ssname aws (setq z (1+ z))))
    (if (member (cdr (assoc 0 (entget ele))) '("HATCH" "REGION" "POLYLINE" "LWPOLYLINE" "3DSOLID" "BODDY" "INSERT" "MTEXT" "MLINE" "TABLE" "DIMENSION"))
      (command "_.explode" ele)
    )
  )
  (while (setq l (entnext l)) (ssadd l n-aws))
)

(defun ssmerge (aws1 aws2 / n-aws z)
  (setq n-aws (ssadd) z -1)
  (if aws1 (repeat (sslength aws1) (ssadd (ssname aws1 (setq z (1+ z))) n-aws)))
  (setq z -1)
  (if aws2 (repeat (sslength aws2) (ssadd (ssname aws2 (setq z (1+ z))) n-aws)))
  n-aws
)


eine eingabeaufforderung habe ich nicht geschafft: z.bsp. 'ersten polyliniensatz waehlen:'....

bei den 'get...'-befehlen weiss ich wie's geht, aber in zusammenhang mit 'ssget' nicht.
vielleicht kann mir das noch wer sagen.
jedenfalls vielen dank fuer eure hilfe!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

wronzky
Ehrenmitglied V.I.P. h.c.
CAD-Dienstleistungen für Architekten



Sehen Sie sich das Profil von wronzky an!   Senden Sie eine Private Message an wronzky  Schreiben Sie einen Gästebucheintrag für wronzky

Beiträge: 2154
Registriert: 02.05.2005

CAD:
AutoCAD 2.6 bis 2014
ADT 2005 - 2014
Arcibem
System:
Windows 2000, XP, NO VISTA
Internet-Startseite:
http://www.archi.de

erstellt am: 22. Jun. 2007 11:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für petrov9 10 Unities + Antwort hilfreich

Hallo Peter,
Zitat:
Original erstellt von petrov9:

eine eingabeaufforderung habe ich nicht geschafft: z.bsp. 'ersten polyliniensatz waehlen:'....

bei den 'get...'-befehlen weiss ich wie's geht, aber in zusammenhang mit 'ssget' nicht.



Du setzt einfach ein (prompt "\nwählen Sie jetzt die Polylinien:") vor den ssget-Aufruf.
Ansonsten: Schönes Programm! 

Grüsse, Henning

------------------
VoxelManufaktur Computer-Dienstleistungen für Architekten und Ingenieure

  http://www.voxelman.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

petrov9
Mitglied
Architekt


Sehen Sie sich das Profil von petrov9 an!   Senden Sie eine Private Message an petrov9  Schreiben Sie einen Gästebucheintrag für petrov9

Beiträge: 106
Registriert: 06.10.2004

ADT2006
ADT2007

erstellt am: 22. Jun. 2007 12:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

danke!
wuensche ein schoenes wochenende!
peter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2017 CAD.de